<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Contracts;

interface ScopeManagerInterface
{
    public function current(): ScopeInterface;
    public function get(string $id): ScopeInterface;
    public function use(string $id): ScopeInterface;
    public function clear(?string $id = null): void;
}
